package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 考勤自定义配置缓存类
 */
public class KQSettingsComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_settings";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "main_key";

	@CacheColumn(name = "main_val")
	protected static int main_val;

	@CacheColumn(name = "main_desc")
	protected static int main_desc;

  @CacheColumn(name = "sub_fun_key")
  protected static int sub_fun_key;

  @CacheColumn(name = "sub_fun_val")
  protected static int sub_fun_val;

  @CacheColumn(name = "sub_fun_desc")
  protected static int sub_fun_desc;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

  public String getMain_val() { return (String)getRowValue(main_val); }
  public String getMain_val(String key)
  {
    return (String)getValue(main_val,key);
  }

}